org.bdgenomics.adam.util

# QualityScore

###
Related Docs: object QualityScore | package util

#### class QualityScore extends Ordered[QualityScore] with Serializable

Linear Supertypes
Serializable, Serializable, Ordered[QualityScore], Comparable[QualityScore], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. QualityScore
2. Serializable
3. Serializable
4. Ordered
5. Comparable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new QualityScore(phred: Int)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def <(that: QualityScore): Boolean

   Definition Classes
     Ordered

4. #### def <=(that: QualityScore): Boolean

   Definition Classes
     Ordered

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def >(that: QualityScore): Boolean

   Definition Classes
     Ordered

7. #### def >=(that: QualityScore): Boolean

   Definition Classes
     Ordered

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def compare(that: QualityScore): Int

    Definition Classes
      QualityScore → Ordered

11. #### def compareTo(that: QualityScore): Int

    Definition Classes
      Ordered → Comparable

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(other: Any): Boolean

    Definition Classes
      QualityScore → AnyRef → Any

14. #### def errorProbability: Double

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      QualityScore → AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### val phred: Int

23. #### def successProbability: Double

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toChar: Char

26. #### def toString(): String

    Definition Classes
      QualityScore → AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Ordered[QualityScore]

### Inherited from Comparable[QualityScore]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped